package edu.travel.tenant.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.resp.BaseResponse;
import edu.travel.tenant.dto.AssignRolesOrMenus;
import edu.travel.tenant.entity.EduTenant;
import edu.travel.tenant.entity.SysRole;

import java.util.List;
import java.util.Set;


public interface ISysRoleService extends IService<SysRole> {

    Boolean add(SysRole sysRole, EduTenant principal);

    void deleteByIds(Set<Long> ids);

    void updateRoleById(SysRole sysRole);

    void deleteById(Long id);

    List<SysRole> getRoleByUserId(Long userId);

    void assignMenusToRole(AssignRolesOrMenus dto);
}
