package edu.travel.tenant.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * TenantVo 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/8
 */

@Data
public class EduTenantVo extends BaseEntity {
    /**
     * 主键
     */
    private Long id;

    /**
     * 姓
     */
    private String tenantSurname;

    /**
     * 名
     */
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    private Integer tenantSex;

    /**
     * 头像
     */
    private String tenantAvatar;

    /**
     * 手机号
     */
    private String tenantPhone;

    /**
     * 地区区号
     */
    private String tenantArea;

    /**
     * 生日日期
     */
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    private String tenantUnionid;

    /**
     * 现实名
     */
    private String showName;

    /**
     * 用户状态
     */
    private Integer userStatus;

    /**
     * 用户所有状态 1正常 2冻结 2已删除
     */
    private Integer status;
}